
part of side_inputs;

class AppDecorations {
  static const enableBorderColor = OutlineInputBorder(
      borderSide: BorderSide(color: AppColors.inputEnableColor, width: 1.0),
      borderRadius: BorderRadius.only(
        topLeft: AppRadius.radius10,
        topRight: AppRadius.radius10,
      ));
  static const inputBorder = OutlineInputBorder(
      borderSide: BorderSide(width: 1.0),
      
      borderRadius: BorderRadius.only(
        topLeft: AppRadius.radius10,
        topRight: AppRadius.radius10,
      ));

  static const errorBorderColor = OutlineInputBorder(
      borderSide: BorderSide(color: AppColors.inputErrorColor, width: 1.0),
      borderRadius: BorderRadius.only(
        topLeft: AppRadius.radius10,
        topRight: AppRadius.radius10,
      ));
  static const focusBorderColor = OutlineInputBorder(
      borderSide: BorderSide(color: AppColors.inputFocusColor, width: 1.0),
      borderRadius: BorderRadius.only(
        topLeft: AppRadius.radius10,
        topRight: AppRadius.radius10,
      ));

  static BoxConstraints inpuTextIconBoxContraints(double connectionI) {
    return BoxConstraints(
      minHeight: 32,
      minWidth: 32,
      maxHeight: connectionI,
      maxWidth: connectionI,
    );
  }
}
