# side_inputs

## Getting Started

In your flutter project add the dependency:

```yml
    dependencies:
    ...
        side_inputs: ^1.0.0  
```

## Usage

#### Importing package

```dart
import 'package:side_inputs/side_inputs.dart';
```

#### Using side_inputs
```dart
@override
 Widget build(BuildContext context) {
    final size = MediaQuery.of(context).size;
    final i = 1.i(mediaSize: size);
    return Scaffold(
      body: Container(
        child: Form(
          key: formKey,
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              SideText(
                text: 'This is the best fried chicken I have had all day.',
                border: false,
              ),
              SideText(
                text: 'This is the best fried chicken I have had all day. With borders',
              ),
              EmailInput(
                inputKey: 'email',
                isValid: false,
                autoValidate: true,
                onEditCompleteDone: false,
                onChanged: (_) {},
              ),
              EmailInput(
                inputKey : 'email',
                isValid: false,
                autoValidate: true,
                onEditCompleteDone: false,
              ),
              NameInput(inputKey: 'name', isValid: false, autoValidate: true),
            ],
          ),
        ),
      ),
    );
  }
}

final GlobalKey<FormState> formKey = GlobalKey<FormState>();


```
