part of side_inputs;


class NameInput extends DefaultTextFormInput {
  NameInput({
    Key? key,
    final String? labelText,
    final TextStyle? labelStyle,
    final String? inputKey,
    final String? sizeFromParent,
    double? connectionI,
    final String? hintText,
    final Widget? prefixIcon,
    void Function(String)? onChanged,
    void Function()? clearIconPressed,
    String? Function(String?)? validator,
    final bool? onEditCompleteDone,
    final int? maxLength,
    final String? initialValue,
    final List<TextInputFormatter>? inputFormatters,
    final bool? isValid,
    final bool? autoValidate,
    final TextInputType? textInputKey,
    final TextEditingController? controller,
    final InputBorder? border,
    final InputBorder? enableBorder,
    final InputBorder? focusBorder,
    final InputBorder? errorBorder,
    final TextStyle? hintStyle,
    final TextStyle? errorStyle,
    final TextStyle? suffixStyle,
    final TextStyle? prefixStyle,
    final TextStyle? helperStyle,
    final TextStyle? style,
    final EdgeInsetsGeometry? contentPadding,
  }) : super(
            key: key,
            controller: controller,
            focusBorder: focusBorder,
            labelText: labelText ?? 'Name',
            inputKey: inputKey!,
            border: border,
            enableBorder: enableBorder,
            hintStyle: hintStyle,
            labelStyle: labelStyle,
            errorBorder: errorBorder,
            suffixStyle: suffixStyle,
            errorStyle: errorStyle,
            prefixStyle: prefixStyle,
            helperStyle: helperStyle,
            style: style,
            contentPadding: contentPadding,
            sizeFromParent: sizeFromParent,
            connectionI: connectionI,
            hintText: hintText ?? 'Enter your name',
            prefixIcon:
                prefixIcon ?? SideText(text: '🕵🏾‍♂️ Name', border: false),
            onChanged: onChanged,
            clearIconPressed: clearIconPressed,
            validator: validator,
            onEditCompleteDone: onEditCompleteDone ?? true,
            maxLength: maxLength,
            initialValue: initialValue,
            inputFormatters: inputFormatters,
            textInputKey: textInputKey ?? TextInputType.name,
            isValid: isValid,
            autoValidate: autoValidate!);
}
